Loading...
Searching...
No Matches
clfftSetupData Struct Reference

Data structure that can be passed to clfftSetup() to control the behavior of the FFT runtime. More...

`#include <clFFT.h>`

## Public Attributes

cl_uint | major
cl_uint | minor
cl_uint | patch
cl_ulong | debugFlags

## Detailed Description

Data structure that can be passed to clfftSetup() to control the behavior of the FFT runtime.

This structure contains values that can be initialized before instantiation of the FFT runtime with clfftSetup(). To initialize this structure, pass a pointer to a user struct to clfftInitSetupData( ), which clears the structure and sets the version member variables to the current values.

## Member Data Documentation

## debugFlags

cl_ulong clfftSetupData::debugFlags

Bitwise flags that control the behavior of library debug logic.

## major

cl_uint clfftSetupData::major

Major version number of the project; signifies possible major API changes.

## minor

cl_uint clfftSetupData::minor

Minor version number of the project; minor API changes that can break backward compatibility.

## patch

cl_uint clfftSetupData::patch

Patch version number of the project; always incrementing number, signifies change over time.